DEV Community

loading...

Discussion on: Vanilla JavaScript emoji picker! New and improved.

Collapse
bpedroza profile image
Bryan • Edited

This is really great. Good work. You could support older browsers by changing the typescript target; I'm just curious if it was a conscious decision to only support the latest browsers?

Collapse
joeattardi profile image
Joe Attardi Author

It was a conscious decision, yes. I had dropped support for IE11 in the previous version because I added CSS variables and CSS grid, which are not well supported.

For version 4 I wanted to streamline things, so I decided to only support modern browsers.

Collapse
bpedroza profile image
Bryan

Nice. I didn't even look at the css. That makes sense.

Forem Open with the Forem app